net.sf.jasperreports.engine.export

## Class SimplePdfTextRenderer

- java.lang.Object
- - net.sf.jasperreports.engine.export.AbstractTextRenderer
  - - net.sf.jasperreports.engine.export.AbstractPdfTextRenderer
    - - net.sf.jasperreports.engine.export.SimplePdfTextRenderer

-     public class SimplePdfTextRenderer
      extends AbstractPdfTextRenderer

  Version:
    $Id: SimplePdfTextRenderer.java 6744 2013-11-18 09:07:04Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.export.AbstractPdfTextRenderer

      `horizontalAlignment, leftOffsetFactor, pdfContentByte, pdfExporter, rightOffsetFactor`

    - ### Fields inherited from class net.sf.jasperreports.engine.export.AbstractTextRenderer

      `allText, bottomPadding, drawPosX, drawPosY, height, isMaxHeightReached, jasperReportsContext, leftPadding, LINE_BREAK_FONT_RENDER_CONTEXT, lineHeight, noBackcolorSelector, rightPadding, segmentIndex, segments, styledText, text, topPadding, verticalAlignOffset, width, x, y`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimplePdfTextRenderer(boolean ignoreMissingFont)` Deprecated. Replaced by `SimplePdfTextRenderer(JasperReportsContext, boolean)`.
    `SimplePdfTextRenderer(JasperReportsContext jasperReportsContext, boolean ignoreMissingFont)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `draw()`
    `static SimplePdfTextRenderer` | `getInstance()` Deprecated. Replaced by `SimplePdfTextRenderer(JasperReportsContext, boolean)`.
    `protected com.lowagie.text.Phrase` | `getPhrase(JRStyledText styledText, JRPrintText textElement)`
    `void` | `render()`

    - ### Methods inherited from class net.sf.jasperreports.engine.export.AbstractPdfTextRenderer

      `initialize`

    - ### Methods inherited from class net.sf.jasperreports.engine.export.AbstractTextRenderer

      `getFontRenderContext, getHeight, getLineHeight, getPlainText, getStyledText, getWidth, getX, getY, initialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimplePdfTextRenderer

          public SimplePdfTextRenderer(boolean ignoreMissingFont)

      Deprecated. Replaced by `SimplePdfTextRenderer(JasperReportsContext, boolean)`.

    - #### SimplePdfTextRenderer

          public SimplePdfTextRenderer(JasperReportsContext jasperReportsContext,
                               boolean ignoreMissingFont)

  - ### Method Detail

    - #### getInstance

          public static SimplePdfTextRenderer getInstance()

      Deprecated. Replaced by `SimplePdfTextRenderer(JasperReportsContext, boolean)`.

    - #### getPhrase

          protected com.lowagie.text.Phrase getPhrase(JRStyledText styledText,
                                          JRPrintText textElement)

    - #### render

          public void render()

      Overrides:
        `render` in class `AbstractTextRenderer`

    - #### draw

          public void draw()

      Specified by:
        `draw` in class `AbstractTextRenderer`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com